Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDLNKvalues

    java.lang.Object
      java.lang.Enum<CDLNKvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDLNKvalues

All Implemented Interfaces:
  Serializable, Comparable<CDLNKvalues>

    public enum CDLNKvalues

extends Enum<CDLNKvalues>

Java class for CD-LNKvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-LNKvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="isachildof"/>
         <enumeration value="isaconsequenceof"/>
         <enumeration value="isanewversionof"/>
         <enumeration value="isareplyto"/>
         <enumeration value="multimedia"/>
         <enumeration value="thumbnail"/>
         <enumeration value="isanappendixof"/>
         <enumeration value="isaservicefor"/>
         <enumeration value="isrealisationof"/>
         <enumeration value="isapproachfor"/>
         <enumeration value="isplannedfor"/>
         <enumeration value="isattestationof"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ISACHILDOF`
`ISACONSEQUENCEOF`
`ISANAPPENDIXOF`
`ISANEWVERSIONOF`
`ISAPPROACHFOR`
`ISAREPLYTO`
`ISASERVICEFOR`
`ISATTESTATIONOF`
`ISPLANNEDFOR`
`ISREALISATIONOF`
`MULTIMEDIA`
`THUMBNAIL`

Method Summary
`static CDLNKvalues` | `fromValue(String v)`
`String` | `value()`
`static CDLNKvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDLNKvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ISACHILDOF

    public static final CDLNKvalues ISACHILDOF

### ISACONSEQUENCEOF

    public static final CDLNKvalues ISACONSEQUENCEOF

### ISANEWVERSIONOF

    public static final CDLNKvalues ISANEWVERSIONOF

### ISAREPLYTO

    public static final CDLNKvalues ISAREPLYTO

### MULTIMEDIA

    public static final CDLNKvalues MULTIMEDIA

### THUMBNAIL

    public static final CDLNKvalues THUMBNAIL

### ISANAPPENDIXOF

    public static final CDLNKvalues ISANAPPENDIXOF

### ISASERVICEFOR

    public static final CDLNKvalues ISASERVICEFOR

### ISREALISATIONOF

    public static final CDLNKvalues ISREALISATIONOF

### ISAPPROACHFOR

    public static final CDLNKvalues ISAPPROACHFOR

### ISPLANNEDFOR

    public static final CDLNKvalues ISPLANNEDFOR

### ISATTESTATIONOF

    public static final CDLNKvalues ISATTESTATIONOF

Method Detail

### values

    public static CDLNKvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDLNKvalues c : CDLNKvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDLNKvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDLNKvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.